<?xml version="1.0" encoding="UTF-8" ?>
<rss version="2.0" xmlns:dc="http://purl.org/dc/elements/1.1/"><channel><title>Batch Batching REST Endpoint</title><link>https://community.telligent.com/community/12/w/api-documentation/71145/batch-batching-rest-endpoint</link><description>Developing on Verint Community? Use the API documentation as a reference for all supported interactions with Verint Community.</description><dc:language>en-US</dc:language><generator>14.0.0.586 14</generator><item><title>Batch Batching REST Endpoint</title><link>https://community.telligent.com/community/12/w/api-documentation/71145/batch-batching-rest-endpoint</link><pubDate>Fri, 13 May 2022 19:33:22 GMT</pubDate><guid isPermaLink="false">119a74bb-b2f2-4972-a375-ab811f4f4934</guid><dc:creator>Former Member</dc:creator><comments>https://community.telligent.com/community/12/w/api-documentation/71145/batch-batching-rest-endpoint#comments</comments><description>Current Revision posted to API Documentation by Former Member on 05/13/2022 19:33:22&lt;br /&gt;
&lt;hr class="generated-documentation-start" style="border-width:0;" /&gt;&lt;div class="documentation"&gt;&lt;div class="documentation-url"&gt;&lt;h2&gt;&lt;a id="POST_api_ashx_v2_batch_jsonxml" name="POST_api_ashx_v2_batch_jsonxml"&gt;&lt;/a&gt;POST api.ashx/v2/batch.{json|xml}&lt;/h2&gt;&lt;p&gt;Will execute a series a rest requests in batch with a maximum of 100.&lt;/p&gt;&lt;div class="documentation-section parameters"&gt;&lt;h3&gt;&lt;a id="Request_Parameters" name="Request_Parameters"&gt;&lt;/a&gt;Request Parameters&lt;/h3&gt;&lt;div class="value"&gt;&lt;table cellspacing="0"&gt;&lt;thead&gt; &lt;tr&gt;  &lt;th&gt;Name&lt;/th&gt;  &lt;th&gt;Type&lt;/th&gt;  &lt;th&gt;Location&lt;/th&gt;  &lt;th&gt;Description&lt;/th&gt;  &lt;th&gt;Required&lt;/th&gt;  &lt;th&gt;Default&lt;/th&gt;  &lt;th&gt;Options&lt;/th&gt; &lt;/tr&gt;&lt;/thead&gt;&lt;tbody&gt; &lt;tr&gt;  &lt;td&gt;_REQUEST_X_DATA&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Url encoded data for the request in the sequence. X is a zero-based index in the sequence&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;_REQUEST_X_METHOD&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The HttpMethod of the request in a specified sequence(&amp;#39;GET&amp;#39;,&amp;#39;POST&amp;#39;,&amp;#39;DELETE&amp;#39;,&amp;#39;PUT&amp;#39;). X is a zero-based index in the sequence&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;_REQUEST_X_URL&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;The url preceded by &amp;#39;~&amp;#39; for a request. X is a zero-based index in the sequence&lt;/td&gt;  &lt;td&gt;Required&lt;/td&gt;  &lt;td&gt;&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt; &lt;tr&gt;  &lt;td&gt;Sequential&lt;/td&gt;  &lt;td&gt;string&lt;/td&gt;  &lt;td&gt;Request Body&lt;/td&gt;   &lt;td&gt;Tells the batch to execute each request simulataneously.  If 1 fails the rest will not be executed.&lt;/td&gt;  &lt;td&gt;Optional&lt;/td&gt;  &lt;td&gt;False&lt;/td&gt;  &lt;td&gt;&lt;/td&gt; &lt;/tr&gt;&lt;/tbody&gt;&lt;/table&gt;&lt;/div&gt;&lt;/div&gt;&lt;div class="documentation-section requests"&gt;&lt;h3&gt;&lt;a id="Example_Requests" name="Example_Requests"&gt;&lt;/a&gt;Example Requests&lt;/h3&gt;&lt;h4&gt;&lt;a id="Widget_Javascript" name="Widget_Javascript"&gt;&lt;/a&gt;Widget Javascript&lt;/h4&gt;&lt;pre class="brush: javascript"&gt;
jQuery.telligent.evolution.post({
	url: jQuery.telligent.evolution.site.getBaseUrl() + &amp;#39;api.ashx/v2/batch.json&amp;#39;,
	data: { 
		&amp;#39;_REQUEST_X_METHOD&amp;#39;: &amp;#39;_request_x_method&amp;#39;,
		&amp;#39;_REQUEST_X_URL&amp;#39;: &amp;#39;_request_x_url&amp;#39;
	}
}).then(function(response) {
	// use response
});&lt;/pre&gt;&lt;/div&gt;&lt;/div&gt;&lt;/div&gt;&lt;hr class="generated-documentation-end" style="border-width:0;" /&gt;&lt;div style="clear:both;"&gt;&lt;/div&gt;
</description></item></channel></rss>